Bug 1411950 - ValueError: invalid literal for int() with base 8: 'for'
Summary: ValueError: invalid literal for int() with base 8: 'for'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 20:08 UTC by Dan Radez
Modified: 2017-12-12 10:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Radez 2017-01-10 20:08:58 UTC
Description of problem:
Running fedora-review liek this:
$ sudo REVIEW_NO_MOCKGROUP_CHECK=0 fedora-review -b 1407000 -m fedora-rawhide-x86_64

using sudo because I kept getting this:
ERROR: Could not create dir /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/RPMS. Error: [Errno 13] Permission denied: '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build'

run fails with this error:
01-10 15:07 root         DEBUG    Running: rpm -ql --dump -p /home/dradez/workspace/fedora-scm/1407000-python-pulp/results/python2-pulp-1.6.1-2.fc26.noarch.rpm
01-10 15:07 root         DEBUG    Exception down the road...
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 237, in run
    self._do_run(outfile)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 226, in _do_run
    self._do_report(outfile)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 99, in _do_report
    self._run_checks(self.bug.spec_file, self.bug.srpm_file, outfile)
  File "/usr/lib/python2.7/site-packages/FedoraReview/review_helper.py", line 118, in _run_checks
    writedown=not Settings.no_report)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 378, in run_checks
    run_check(name)
  File "/usr/lib/python2.7/site-packages/FedoraReview/checks.py", line 352, in run_check
    check.run()
  File "/usr/lib/python2.7/site-packages/FedoraReview/plugins/generic_build.py", line 199, in run
    listfiles()
  File "/usr/lib/python2.7/site-packages/FedoraReview/plugins/generic_build.py", line 175, in listfiles
    dirs, files = deps.listpaths(path)
  File "/usr/lib/python2.7/site-packages/FedoraReview/deps.py", line 216, in listpaths
    mode = int(mode, 8)
ValueError: invalid literal for int() with base 8: 'for'
01-10 15:07 root         ERROR    Exception down the road...(logs in /root/.cache/fedora-review.log)
01-10 15:07 root         DEBUG    Report completed:  51.757 seconds


Version-Release number of selected component (if applicable):
OS: Fedora 25 with fedora-review-0.6.1-2.fc25.noarch

How reproducible:
every time

Steps to Reproduce:
1. run `sudo REVIEW_NO_MOCKGROUP_CHECK=0 fedora-review -b 1407000 -m fedora-rawhide-x86_64` on a fedora25 machine
2.
3.

Actual results:
get error in the description

Expected results:
a report on the package review

Additional info:

Comment 1 Fedora End Of Life 2017-11-16 19:35:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:08:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.